org.apache.cassandra.cache

## Class AutoSavingCache.Writer

- java.lang.Object
- - org.apache.cassandra.db.compaction.CompactionInfo.Holder
  - - org.apache.cassandra.cache.AutoSavingCache.Writer

Enclosing class:
  AutoSavingCache<K extends CacheKey,V>

    public class AutoSavingCache.Writer
    extends CompactionInfo.Holder

### Constructor Summary

Constructors
`protected` `Writer(int keysToSave)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CacheService.CacheType` `cacheType()`
`CompactionInfo` `getCompactionInfo()`
`void` `saveCache()`

### Methods inherited from class org.apache.cassandra.db.compaction.CompactionInfo.Holder

`finished, isStopRequested, started, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Writer

    protected Writer(int keysToSave)

### Method Detail

#### cacheType

    public CacheService.CacheType cacheType()

#### getCompactionInfo

    public CompactionInfo getCompactionInfo()

Specified by:
  `getCompactionInfo` in class `CompactionInfo.Holder`

#### saveCache

    public void saveCache()